# Adding document fields automatically using text tags

### What does the term "text tag" mean?

A text tag refers to a distinct label or identifier that is linked to a specific element within a document or system.

By including the appropriate text tag, you can easily incorporate the corresponding element into the document.

For instance, to include a signature field in your document using Zoho Sign, instead of manually creating the field, you can simply type `{{Signature}}` or `{{S}}` to insert the signature field using a text tag.

This will come in handy when you would like to automate your digital signature collection process.

<table><thead><tr><th>Long form</th><th width="154">Short form</th><th>Definition</th></tr></thead><tbody><tr><td>{{Signature}} <br></td><td>{{S}}<br></td><td>A signature field added to the first recipient<br></td></tr><tr><td>{{Company:Recipient2}}<br></td><td>{{CO:R2}}<br></td><td>A company field added to the second recipient<br></td></tr><tr><td>{{Textfield:Recipient1*}}<br></td><td>{{TF:R1*}}<br></td><td>A mandatory text field added to first recipient<br></td></tr><tr><td>{{Jobtitle}}<br></td><td>{{JT}}<br></td><td>A job title added to the first recipient<br></td></tr><tr><td>{{Initial}}<br></td><td>{{I}}<br></td><td>An initial field added to the first recipient<br></td></tr><tr><td>{{Signdate}}<br></td><td>{{SD}}<br></td><td>A date field added to the first recipient<br></td></tr><tr><td>{{Checkbox}}<br></td><td>{{[]}}<br></td><td>A checkbox field added to the first recipient<br></td></tr><tr><td>{{Fullname}}<br></td><td>{{N}}<br></td><td>A full name field added to the first recipient<br></td></tr><tr><td>{{Customdate:Recipient1}}<br></td><td>{{D:R1}}<br></td><td>A custom date field added to the first recipient<br></td></tr><tr><td>{{Firstname}}<br></td><td>{{FN}}<br></td><td>A first name field is added to the first recipient<br></td></tr><tr><td>{{Lastname}}<br></td><td>{{LN}}<br></td><td>A last name field is added to the first recipient<br></td></tr><tr><td>{{Attachment}}<br></td><td>{{A}}<br></td><td>An attachment field is added to the first recipient.<br></td></tr><tr><td>{{Stamp}}<br></td><td>{{ST}}<br></td><td>A stamp field is added to the first recipient.<br></td></tr><tr><td>{{Email}}<br></td><td>{{E}}<br></td><td>An email field is added to the first recipient.<br></td></tr></tbody></table>

Tags for choice fields

| <p>Radio button<br></p> | <p>{{(Radio1):Recipient1:RadioA}}<br>{{(Radio2):Recipient1:RadioA}}<br>{{(Radio3):Recipient1:RadioA}}<br>{{(Radio4):Recipient1:RadioA}}<br></p> | <p>Radio button is assigned to Recipient 1. Radio A refers to the Radio button group and Radio 1, Radio 2 are the options. Radio buttons under the same group must be placed on the same page.<br></p> |
| ----------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| <p>Dropdown<br></p>     | <p>{DD:R1:Text(options="option 1, option 2, option 3")}}<br></p>                                                                                | Dropdown field with 3 options being assigned to recipient 1.                                                                                                                                           |

You can also edit font related options.&#x20;

To do so: {{:recipient:*(font="":fontsize="\<font\_size>":fontcolor="\<color\_code>")}} For example: {{Textfield:Recipient1:Address*(font="Roboto";fontsize="24";fontcolor="ff0077")}}&#x20;

Zoho Sign supports only those font types that are available in the font formatting list. General format to automatic field addition: {{:Recipient:\*}}

{% hint style="info" %}
**Please take note of the following:**

If the document does not specify a recipient number, it will automatically be assigned to the first recipient.

To indicate that certain text fields and checkboxes are mandatory, you can use an asterisk (\*) symbol.

Additionally, you can adjust the width of a field by inserting spaces between the text tag and braces. Remember to keep the tags on a single line, and add the spacing only at the end of the text tag, not at the beginning.

For instance, you can use the following examples:

* `{{S:R1          }} or {{S:R1*             }}` to mark a signature field for the first recipient with increased width.
* `{{S           }} or {{S*              }}` to mark a signature field without specifying the recipient, also with increased width.
  {% endhint %}

Below, you will find a sample PDF file with text tags.

{% file src="/files/LtVkLXIHX3RHdUVRGKb0" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/zoho-sign/adding-document-fields-automatically-using-text-tags.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
